{
	"name": "form/nc/convert/convert.html/layout.json",
	"layout": {
		"component": "nc-root",
		"comment": "Created by PKo on 22.12.14.",
		"attribute": {
			"id": "convert"
		},
		"element": [
			{
				"component": "nc-include",
				"attribute": {
					"src": "'plugin/convert/convert_header.html'"
				}
			},
			{
				"component": "nc-form",
				"element": [
					{
						"component": "nc-row",
						"element": [
							{
								"component": "nc-col",
								"attribute": {
									"width": "2/12"
								},
								"element": [
									{
										"component": "nc-label",
										"text": "Conversion",
										"attribute": {
											"model": "hdr.convert_name"
										}
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "6/12"
								},
								"element": [
									{
										"component": "nc-dropdown",
										"attribute": {
											"model": "rec.convert_name"
										}
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "2/12"
								},
								"element": [
									{
										"component": "nc-button",
										"text": "Convert",
										"attribute": {
											"name": "Save",
											"v-on:click": "nc.formCallServer($scope, 'convert', {convert_input: rec.convert_input, convert_name: rec.convert_name, debug: rec.debug, create_empty_component: rec.create_empty_component})"
										}
									}
								]
							}
						]
					},
					{
						"component": "nc-row",
						"element": [
							{
								"component": "nc-col",
								"attribute": {
									"width": "2/12"
								},
								"element": [
									{
										"component": "nc-label",
										"text": "Options",
										"attribute": {
											"model": "hdr.option"
										}
									}
								]
							},
							{
								"component": "nc-col",
								"text": "Debug",
								"attribute": {
									"width": "2/12"
								},
								"element": [
									{
										"component": "nc-input",
										"attribute": {
											"model": "rec.debug"
										}
									}
								]
							},
							{
								"component": "nc-col",
								"text": "Create empty components",
								"attribute": {
									"width": "2/12"
								},
								"element": [
									{
										"component": "nc-input",
										"attribute": {
											"model": "rec.create_empty_component"
										}
									}
								]
							}
						]
					},
					{
						"component": "nc-row",
						"element": [
							{
								"component": "nc-col",
								"attribute": {
									"width": "2/12"
								},
								"element": [
									{
										"component": "nc-label",
										"text": "Execution time",
										"attribute": {
											"model": "hdr.execution_time"
										}
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "2/12"
								},
								"element": [
									{
										"component": "nc-input",
										"attribute": {
											"type": "text",
											"disabled": "disabled",
											"model": "rec.execution_time"
										}
									}
								]
							}
						]
					},
					{
						"component": "nc-row",
						"element": [
							{
								"component": "nc-col",
								"attribute": {
									"width": "2/12"
								},
								"element": [
									{
										"component": "nc-label",
										"text": "Convert error",
										"attribute": {
											"model": "hdr.convert_error",
											"v-show": "rec.convert_error"
										}
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "10/12"
								},
								"element": [
									{
										"component": "div",
										"text": "{{rec.convert_error}}",
										"attribute": {
											"class": ["alert", "alert-warning", "nc-newline-text"],
											"role": "alert",
											"v-show": "rec.convert_error"
										}
									}
								]
							}
						]
					},
					{
						"component": "nc-row",
						"element": [
							{
								"component": "nc-col",
								"attribute": {
									"width": "2/12"
								},
								"element": [
									{
										"component": "nc-label",
										"text": "Convert input",
										"attribute": {
											"model": "hdr.convert_input"
										}
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "10/12"
								},
								"element": [
									{
										"component": "nc-textarea",
										"attribute": {
											"model": "rec.convert_input",
											"placeholder": "Input",
											"rows": "10"
										}
									}
								]
							}
						]
					},
					{
						"component": "nc-row",
						"element": [
							{
								"component": "nc-col",
								"attribute": {
									"width": "2/12"
								},
								"element": [
									{
										"component": "nc-label",
										"text": "Convert result",
										"attribute": {
											"model": "hdr.convert_output"
										}
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "10/12"
								},
								"element": [
									{
										"component": "nc-textarea",
										"attribute": {
											"model": "rec.convert_output",
											"placeholder": "Result",
											"rows": "10"
										}
									}
								]
							}
						]
					}
				]
			}
		]
	}
}
